
Application: gvSIG desktop - gvSIG bugs #2184
fatal error has been detected by the Java Runtime Environment
01/08/2014 02:35 PM - José Vicente Higón

Status: Closed % Done: 0%
Priority: Immediate Spent time: 0.00 hour
Assignee: Ignacio Brodín
Category: WMTS
Target version: 2.1.0-2217-devel
Severity: Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

Al cargar una capa WMTS y hacer "zoom a la capa", gvSIG se cierra por un fallo en la JVM.
Adjunto el log de la jvm.
En el script de arranque (gvSIG.sh), he modificado la línea 301 para que emplee las librerías nativas que aporta gvSIG antes que las
que aporta el sistema.

        -Djava.library.path="${GVSIG_NATIVE_LIBS}":/usr/lib \

History
#1 - 01/13/2014 11:09 AM - Álvaro Anguix
- Assignee set to Ignacio Brodín
- Priority changed from Normal to Immediate

#2 - 01/13/2014 01:31 PM - Alexander Holsteinson

Tengo fallas de cierre del gvSIG por falta de memoria del JRE de la version 2.1.0.2215 cuando uso las herramientas de SEXTANTE  Rasterize Vector
Layer, Void Filling y Relief Shade.    No se si es la misma causa pero se los reporto.        Mensaje:  * java.lang.OutOfMemoryError :  Java heap
space.*    y luego el gvSIG cierra.

#3 - 01/13/2014 02:11 PM - Alexander Holsteinson

Los cierres de gvSIG 2.1.2215 es en Windows 7 SP 1 64bits con JAVA 7b45 en ambas versiones instaladas de 32 y 64bits

#4 - 01/16/2014 11:57 AM - Álvaro Anguix
- Target version set to 2.1.0-2218-testing

#5 - 01/16/2014 04:05 PM - Alexander Holsteinson

He actualizado mi laptop con Windows 7 SP1 64 bits al JAVA 7b51 anoche y persisten igual los cierres del software gvSIG 2.1.0.2216 cuando uso las
herramientas de SEXTANTE Rasterize Vector Layer, Void Filling y Relief Shade.    No se si es la misma causa que reporta Jose Vicente, pero se
los reporto.      Mensaje: * java.lang.OutOfMemoryError : Java heap space.*
#6 - 01/16/2014 04:34 PM - Álvaro Anguix

Gracias, Alexander, si puedes ajuntar el log (nada más cerrar gvSIG) siempre nos vendrá bien para tener más información del error.

#7 - 01/20/2014 08:53 AM - Ignacio Brodín

Hola,
Creo que hay dos problemas que no tienen nada que ver. Hago referencia a los dos por separado.

Chevi: aunque ya tenia conocimiento de este problema nunca he podido replicarlo. Ahora veo que es posible que tu tengas librerías en tu sistema que
yo no, y por ello al buscar primero las del sistema pues está dando el error. ¿He de entender que con el cambio que has propuesto en el
Djava.library.path se soluciona?. Me parece lógico que esté como tu dices, así que en ese caso lo cambio y solo faltaría que, si puedes, lo probases
en el próximo build. Tampoco tengo claro que deba quedarse el /usr/lib pero de momento prefiero dejarlo así si confirmas que funciona.

gvsig-desktop:r41052

Alexander: Como comentas, no parece que tenga que ver con el problema que reporta Chevi. Haré pruebas con esos geoprocesos a ver que veo.
¿Sabes con que tamaño de capas estabas trabajando? Es decir, al vectorizar una capa vectorial ¿que tamaño de raster de salida te estaba
generando? Mira en la pestaña "Región de análisis" el número de filas y columnas de la capas que generas.

#8 - 01/20/2014 08:56 AM - Ignacio Brodín
- Status changed from New to Awaiting response

#9 - 01/20/2014 02:15 PM - Ignacio Brodín
- Status changed from Awaiting response to Fixed

#10 - 01/20/2014 02:16 PM - Álvaro Anguix

Por lo que comenta Nacho este bug ya está solucionado. Pasa a estado Fixed.
Alexander: abre ticket/petición nueva con los otros errores que comentas, adjuntando log e info que nos pueda ayudar (por ejemplo, tamaño de las
capas, que es una información importante cuando el error que te da es de memoria)

Gracias

#11 - 01/21/2014 09:27 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2218-testing to 2.1.0-2217-devel

#12 - 01/27/2014 04:29 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
hs_err_pid29100.log 105 KB 01/08/2014 José Vicente Higón
